// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdIosSdk",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdIosSdk", targets: ["WebIdIosSdkWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        
    ],
    targets: [
        .binaryTarget(
            name: "WebIdIosSdk",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdIosSdk/12.0.1/WebIdIosSdk.framework-v12.0.1-SNAPSHOT-623.zip",
            checksum: "63e22d938dccc67b8eccd2858af31cf9ccaef47b21757adbf957116a80cfde70"
        ),
        .target(
            name: "WebIdIosSdkWrapper",
            dependencies: [
                .target(name: "WebIdIosSdk"),
                // [target dependecies here]
                
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
